using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class LaserBulletMedium : Bullet
{
    public const int Width = 7;
    public const int Height = 21;

    protected override string TextureName => TextureNames.Bullets.LaserMedium;

    public LaserBulletMedium(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 2;
    }
}